Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5117)
@@ -33,5 +33,5 @@
     ! -- the latitude is in degrees and strictly monotonic (as all
     ! NetCDF coordinate variables should be);
-    ! -- time increases from January to December (even though we do
+    ! -- time increases from January to December (even though we DO
     ! not use values of the input time coordinate);
     ! -- pressure is in hPa and in strictly ascending order (even
@@ -40,35 +40,35 @@
     ! when we regrid in pressure).
 
-    use lmdz_grid_phy, ONLY: nbp_lat
-    use regr_conserv_m, ONLY: regr_conserv
-    use regr_lint_m, ONLY: regr_lint
-    use netcdf95, ONLY: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var, &
+    USE lmdz_grid_phy, ONLY: nbp_lat
+    USE lmdz_regr_conserv, ONLY: regr_conserv
+    USE lmdz_regr_lint, ONLY: regr_lint
+    USE netcdf95, ONLY: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var, &
          nf95_put_var, nf95_gw_var
-    use netcdf, ONLY: nf90_nowrite
-    use nrtype, ONLY: pi
-    use lmdz_regular_lonlat, ONLY: boundslat_reg, south
+    USE netcdf, ONLY: nf90_nowrite
+    USE lmdz_physical_constants, ONLY: pi
+    USE lmdz_regular_lonlat, ONLY: boundslat_reg, south
 
     ! Variables local to the procedure:
 
-    integer ncid_in, ncid_out ! NetCDF IDs for input and output files
-    integer n_plev ! number of pressure levels in the input data
-    integer n_lat! number of latitudes in the input data
-
-    real, allocatable:: latitude(:)
+    INTEGER ncid_in, ncid_out ! NetCDF IDs for input and output files
+    INTEGER n_plev ! number of pressure levels in the input data
+    INTEGER n_lat! number of latitudes in the input data
+
+    REAL, ALLOCATABLE:: latitude(:)
     ! (of input data, converted to rad, sorted in strictly ascending order)
 
-    real, allocatable:: lat_in_edg(:)
+    REAL, ALLOCATABLE:: lat_in_edg(:)
     ! (edges of latitude intervals for input data, in rad, in strictly
     ! ascending order)
 
-    real, allocatable:: plev(:) ! pressure level of input data
-    logical desc_lat ! latitude in descending order in the input file
-
-    real, allocatable:: o3_par_in(:, :, :) ! (n_lat, n_plev, 12)
+    REAL, ALLOCATABLE:: plev(:) ! pressure level of input data
+    LOGICAL desc_lat ! latitude in descending order in the input file
+
+    REAL, ALLOCATABLE:: o3_par_in(:, :, :) ! (n_lat, n_plev, 12)
     ! (ozone parameter from the input file)
     ! ("o3_par_in(j, l, month)" is at latitude "latitude(j)" and pressure
     ! level "plev(l)". "month" is between 1 and 12.)
 
-    real, allocatable:: v_regr_lat(:, :, :) ! (jjm + 1, n_plev, 0:13)
+    REAL, ALLOCATABLE:: v_regr_lat(:, :, :) ! (jjm + 1, n_plev, 0:13)
     ! (mean of a variable "v" over a latitude interval)
     ! (First dimension is latitude interval.
@@ -84,5 +84,5 @@
     ! Last dimension is month number.)
 
-    real, allocatable:: o3_par_out(:, :, :) ! (jjm + 1, n_plev, ndays)
+    REAL, ALLOCATABLE:: o3_par_out(:, :, :) ! (jjm + 1, n_plev, ndays)
     ! (regridded ozone parameter)
     ! ("o3_par_out(j, l, day)" is at latitude "rlatu(j)", pressure
@@ -90,7 +90,7 @@
     ! 360-day calendar.)
 
-    integer j
-    integer i_v ! index of ozone parameter
-    integer, parameter:: n_o3_param = 8 ! number of ozone parameters
+    INTEGER j
+    INTEGER i_v ! index of ozone parameter
+    INTEGER, parameter:: n_o3_param = 8 ! number of ozone parameters
 
     CHARACTER(LEN=11) name_in(n_o3_param)
@@ -100,9 +100,9 @@
     ! (name of NetCDF primary variable in the output file)
 
-    integer varid_in(n_o3_param), varid_out(n_o3_param), varid_plev, varid_time
-    integer ncerr, varid
+    INTEGER varid_in(n_o3_param), varid_out(n_o3_param), varid_plev, varid_time
+    INTEGER ncerr, varid
     ! (for NetCDF)
 
-    real, parameter:: tmidmonth(0:13) = (/(-15. + 30. * j, j = 0, 13)/)
+    REAL, parameter:: tmidmonth(0:13) = (/(-15. + 30. * j, j = 0, 13)/)
     ! (time to middle of month, in days since January 1st 0h, in a
     ! 360-day calendar)
@@ -110,5 +110,5 @@
     ! interpolated between the December and the January value.)
 
-    real, parameter:: tmidday(360) = (/(j + 0.5, j = 0, 359)/)
+    REAL, parameter:: tmidday(360) = (/(j + 0.5, j = 0, 359)/)
     ! (time to middle of day, in days since January 1st 0h, in a
     ! 360-day calendar)
@@ -165,5 +165,5 @@
     ! ascending order, so invert order if necessary:
     desc_lat = latitude(1) > latitude(n_lat)
-    if (desc_lat) latitude = latitude(n_lat:1:-1)
+    IF (desc_lat) latitude = latitude(n_lat:1:-1)
 
     ! Compute edges of latitude intervals:
@@ -202,5 +202,5 @@
 
        CALL nf95_get_var(ncid_in, varid_in(i_v), o3_par_in)
-       if (desc_lat) o3_par_in = o3_par_in(n_lat:1:-1, :, :)
+       IF (desc_lat) o3_par_in = o3_par_in(n_lat:1:-1, :, :)
 
        ! Regrid in latitude:
@@ -240,23 +240,23 @@
     ! dimensions and variables, and writes one of the coordinate variables.
 
-    use lmdz_grid_phy, ONLY: nbp_lat
-    use lmdz_assert_eq, ONLY: assert_eq
-
-    use netcdf95, ONLY: nf95_create, nf95_def_dim, nf95_def_var, &
+    USE lmdz_grid_phy, ONLY: nbp_lat
+    USE lmdz_assert_eq, ONLY: assert_eq
+
+    USE netcdf95, ONLY: nf95_create, nf95_def_dim, nf95_def_var, &
          nf95_put_att, nf95_enddef, nf95_copy_att, nf95_put_var
-    use netcdf, ONLY: nf90_clobber, nf90_float, nf90_copy_att, nf90_global
-    use nrtype, ONLY: pi
-    use lmdz_regular_lonlat, ONLY: lat_reg
-
-    integer, intent(in):: ncid_in, varid_in(:), n_plev
-    CHARACTER(LEN=*), intent(in):: name_out(:) ! of NetCDF variables
-    integer, intent(out):: ncid_out, varid_out(:), varid_plev, varid_time
+    USE netcdf, ONLY: nf90_clobber, nf90_float, nf90_copy_att, nf90_global
+    USE lmdz_physical_constants, ONLY: pi
+    USE lmdz_regular_lonlat, ONLY: lat_reg
+
+    INTEGER, INTENT(IN):: ncid_in, varid_in(:), n_plev
+    CHARACTER(LEN=*), INTENT(IN):: name_out(:) ! of NetCDF variables
+    INTEGER, INTENT(OUT):: ncid_out, varid_out(:), varid_plev, varid_time
 
     ! Variables local to the procedure:
 
-    integer ncerr
-    integer dimid_rlatu, dimid_plev, dimid_time
-    integer varid_rlatu
-    integer i, n_o3_param
+    INTEGER ncerr
+    INTEGER dimid_rlatu, dimid_plev, dimid_time
+    INTEGER varid_rlatu
+    INTEGER i, n_o3_param
 
     !---------------------------
@@ -328,11 +328,11 @@
     SUBROUTINE handle_err_copy_att(att_name)
 
-      use netcdf, ONLY: nf90_noerr, nf90_strerror
-
-      CHARACTER(LEN=*), intent(in):: att_name
+      USE netcdf, ONLY: nf90_noerr, nf90_strerror
+
+      CHARACTER(LEN=*), INTENT(IN):: att_name
 
       !----------------------------------------
 
-      if (ncerr /= nf90_noerr) THEN
+      IF (ncerr /= nf90_noerr) THEN
          print *, "prepare_out " // trim(name_out(i)) &
               // " nf90_copy_att " // att_name // " -- " &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90	(revision 5117)
@@ -9,21 +9,21 @@
   ! "rlon(i)", latitude "rlat(i)" and middle of layer "k".
 
-  real, allocatable, save:: c_Mob(:, :)
+  REAL, ALLOCATABLE, save:: c_Mob(:, :)
   ! (sum of Mobidic terms in the net mass production rate of ozone
   ! by chemistry, per unit mass of air, in s-1)
 
-  real, allocatable, save:: a2(:, :)
+  REAL, ALLOCATABLE, save:: a2(:, :)
   ! (derivative of mass production rate of ozone per unit mass of
   ! air with respect to ozone mass fraction, in s-1)
 
-  real, allocatable, save:: a4_mass(:, :)
+  REAL, ALLOCATABLE, save:: a4_mass(:, :)
   ! (derivative of mass production rate of ozone per unit mass of
   ! air with respect to temperature, in s-1 K-1)
 
-  real, allocatable, save:: a6_mass(:, :)
+  REAL, ALLOCATABLE, save:: a6_mass(:, :)
   ! (derivative of mass production rate of ozone per unit mass of
   ! air with respect to mass column-density of ozone above, in m2 s-1 kg-1)
 
-  real, allocatable, save:: r_het_interm(:, :)
+  REAL, ALLOCATABLE, save:: r_het_interm(:, :)
   ! (net mass production rate by heterogeneous chemistry, per unit
   ! mass of ozone, corrected for chlorine content and latitude, but
@@ -39,6 +39,6 @@
     ! It allocates module variables.
 
-    use dimphy, ONLY: klon
-    use lmdz_grid_phy, ONLY: nbp_lev
+    USE dimphy, ONLY: klon
+    USE lmdz_grid_phy, ONLY: nbp_lev
 
     ! Variables local to the procedure:
@@ -71,30 +71,30 @@
     !    coefficients are combined to define the five module variables.
 
-    use netcdf95, ONLY: nf95_open, nf95_close
-    use netcdf, ONLY: nf90_nowrite
-    use lmdz_assert, ONLY: assert
-    use dimphy, ONLY: klon
-    use lmdz_phys_mpi_data, ONLY: is_mpi_root
-    use regr_pr_time_av_m, ONLY: regr_pr_time_av
-    use regr_pr_int_m, ONLY: regr_pr_int
-    use press_coefoz_m, ONLY: press_in_edg, plev
-    use lmdz_grid_phy, ONLY: nbp_lev
+    USE netcdf95, ONLY: nf95_open, nf95_close
+    USE netcdf, ONLY: nf90_nowrite
+    USE lmdz_assert, ONLY: assert
+    USE dimphy, ONLY: klon
+    USE lmdz_phys_mpi_data, ONLY: is_mpi_root
+    USE regr_pr_time_av_m, ONLY: regr_pr_time_av
+    USE regr_pr_int_m, ONLY: regr_pr_int
+    USE press_coefoz_m, ONLY: press_in_edg, plev
+    USE lmdz_grid_phy, ONLY: nbp_lev
 
-    integer, intent(in):: julien ! jour julien, 1 <= julien <= 360
+    INTEGER, INTENT(IN):: julien ! jour julien, 1 <= julien <= 360
 
-    REAL, intent(in):: rlat(:)
+    REAL, INTENT(IN):: rlat(:)
     ! (latitude on the partial "physics" grid, in degrees)
 
-    real, intent(in):: paprs(:, :) ! (klon, nbp_lev + 1)
+    REAL, INTENT(IN):: paprs(:, :) ! (klon, nbp_lev + 1)
     ! (pression pour chaque inter-couche, en Pa)
 
-    real, intent(in):: pplay(:, :) ! (klon, nbp_lev)
+    REAL, INTENT(IN):: pplay(:, :) ! (klon, nbp_lev)
     ! (pression pour le mileu de chaque couche, en Pa)
 
     ! Variables local to the procedure:
 
-    integer ncid ! for NetCDF
+    INTEGER ncid ! for NetCDF
 
-    real coefoz(klon, nbp_lev, 7)
+    REAL coefoz(klon, nbp_lev, 7)
     ! (temporary storage for 7 ozone coefficients)
     ! (On the partial "physics" grid.
@@ -102,5 +102,5 @@
     ! middle of layer "k".)
 
-    real a6(klon, nbp_lev)
+    REAL a6(klon, nbp_lev)
     ! (derivative of "P_net_Mob" with respect to column-density of ozone
     ! above, in cm2 s-1)
@@ -109,10 +109,10 @@
     ! middle of layer "k".)
 
-    real, parameter:: amu = 1.6605402e-27 ! atomic mass unit, in kg
+    REAL, parameter:: amu = 1.6605402e-27 ! atomic mass unit, in kg
 
-    real, parameter:: Clx = 3.8e-9
+    REAL, parameter:: Clx = 3.8e-9
     ! (total chlorine content in the upper stratosphere)
 
-    integer k
+    INTEGER k
 
     !------------------------------------
@@ -125,5 +125,5 @@
 
     !$omp master
-    if (is_mpi_root) CALL nf95_open("coefoz_LMDZ.nc", nf90_nowrite, ncid)
+    IF (is_mpi_root) CALL nf95_open("coefoz_LMDZ.nc", nf90_nowrite, ncid)
     !$omp end master
 
@@ -156,5 +156,5 @@
 
     !$omp master
-    if (is_mpi_root) CALL nf95_close(ncid)
+    IF (is_mpi_root) CALL nf95_close(ncid)
     !$omp end master
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90	(revision 5117)
@@ -24,27 +24,27 @@
     ! Regridding is by linear interpolation.
 
-    use dimphy, ONLY: klon
-    use netcdf95, ONLY: nf95_inq_varid, nf95_get_var
-    use lmdz_assert, ONLY: assert
-    use regr_lint_m, ONLY: regr_lint
-    use lmdz_phys_mpi_data, ONLY: is_mpi_root
-    use lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, nbp_lev
-    use lmdz_phys_transfert_para, ONLY: scatter2d
+    USE dimphy, ONLY: klon
+    USE netcdf95, ONLY: nf95_inq_varid, nf95_get_var
+    USE lmdz_assert, ONLY: assert
+    USE lmdz_regr_lint, ONLY: regr_lint
+    USE lmdz_phys_mpi_data, ONLY: is_mpi_root
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, nbp_lev
+    USE lmdz_phys_transfert_para, ONLY: scatter2d
     ! (pack to the LMDZ horizontal "physics" grid and scatter)
 
-    integer, intent(in):: ncid ! NetCDF ID of the file
-    CHARACTER(LEN=*), intent(in):: name ! of the NetCDF variable
-    integer, intent(in):: julien ! jour julien, 1 <= julien <= 360
+    INTEGER, INTENT(IN):: ncid ! NetCDF ID of the file
+    CHARACTER(LEN=*), INTENT(IN):: name ! of the NetCDF variable
+    INTEGER, INTENT(IN):: julien ! jour julien, 1 <= julien <= 360
 
-    real, intent(in):: plev(:)
+    REAL, INTENT(IN):: plev(:)
     ! (pressure level of input data, in Pa, in strictly ascending order)
 
-    real, intent(in):: pplay(:, :) ! (klon, nbp_lev)
+    REAL, INTENT(IN):: pplay(:, :) ! (klon, nbp_lev)
     ! (pression pour le mileu de chaque couche, en Pa)
 
-    real, intent(in):: top_value
+    REAL, INTENT(IN):: top_value
     ! (extra value of field at 0 pressure)
 
-    real, intent(out):: v3(:, :) ! (klon, nbp_lev)
+    REAL, INTENT(OUT):: v3(:, :) ! (klon, nbp_lev)
     ! (regridded field on the partial "physics" grid)
     ! ("v3(i, k)" is at longitude "xlon(i)", latitude
@@ -53,5 +53,5 @@
     ! Variables local to the procedure:
 
-    integer varid, ncerr ! for NetCDF
+    INTEGER varid, ncerr ! for NetCDF
 
     real  v1(nbp_lon, nbp_lat, 0:size(plev))
@@ -61,10 +61,10 @@
     ! "v1(:, j, k >=1)" is at latitude "rlatu(j)" and pressure "plev(k)".)
 
-    real v2(klon, 0:size(plev))
+    REAL v2(klon, 0:size(plev))
     ! (field scattered to the partial "physics" horizontal grid)
     ! "v2(i, k >= 1)" is at longitude "xlon(i)", latitude "xlat(i)"
     ! and pressure "plev(k)".)
 
-    integer i
+    INTEGER i
 
     !--------------------------------------------
@@ -74,5 +74,5 @@
 
     !$omp master
-    if (is_mpi_root) THEN
+    IF (is_mpi_root) THEN
        CALL nf95_inq_varid(ncid, name, varid)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90	(revision 5117)
@@ -25,17 +25,17 @@
     ! hPa and strictly increasing.
 
-    use netcdf95, ONLY: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var
-    use netcdf, ONLY:  nf90_nowrite
-    use lmdz_assert, ONLY: assert
-    use regr_conserv_m, ONLY: regr_conserv
-    use press_coefoz_m, ONLY: press_in_edg
-    use time_phylmdz_mod, ONLY: day_ref
-    use lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, nbp_lev
+    USE netcdf95, ONLY: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var
+    USE netcdf, ONLY:  nf90_nowrite
+    USE lmdz_assert, ONLY: assert
+    USE lmdz_regr_conserv, ONLY: regr_conserv
+    USE press_coefoz_m, ONLY: press_in_edg
+    USE time_phylmdz_mod, ONLY: day_ref
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, nbp_lev
 
-    REAL, intent(in):: p3d(:, :, :) ! pressure at layer interfaces, in Pa
+    REAL, INTENT(IN):: p3d(:, :, :) ! pressure at layer interfaces, in Pa
     ! ("p3d(i, j, l)" is at longitude "rlonv(i)", latitude "rlatu(j)",
     ! for interface "l")
 
-    real, intent(out):: o3_mob_regr(:, :, :) ! (iim + 1, jjm + 1, llm)
+    REAL, INTENT(OUT):: o3_mob_regr(:, :, :) ! (iim + 1, jjm + 1, llm)
     ! (ozone mole fraction from Mobidic adapted to the LMDZ grid)
     ! ("o3_mob_regr(i, j, l)" is at longitude "rlonv(i)", latitude
@@ -44,8 +44,8 @@
     ! Variables local to the procedure:
 
-    integer ncid, varid, ncerr ! for NetCDF
-    integer i, j
+    INTEGER ncid, varid, ncerr ! for NetCDF
+    INTEGER i, j
 
-    real r_mob(nbp_lat, size(press_in_edg) - 1)
+    REAL r_mob(nbp_lat, size(press_in_edg) - 1)
     ! (ozone mole fraction from Mobidic at day "day_ref")
     ! (r_mob(j, k) is at latitude "rlatu(j)", in pressure interval
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5117)
@@ -119,8 +119,8 @@
     USE lmdz_assert_eq, ONLY: assert_eq
     !!  USE comvert_mod,    ONLY: scaleheight
-    use lmdz_interpolation, ONLY: locate
-    USE regr_conserv_m, ONLY: regr_conserv
-    USE regr_lint_m, ONLY: regr_lint
-    USE slopes_m, ONLY: slopes
+    USE lmdz_interpolation, ONLY: locate
+    USE lmdz_regr_conserv, ONLY: regr_conserv
+    USE lmdz_regr_lint, ONLY: regr_lint
+    USE lmdz_slopes, ONLY: slopes
     USE lmdz_phys_para, ONLY: is_mpi_root, is_master
     USE lmdz_grid_phy, ONLY: nlon => nbp_lon, nlat => nbp_lat, nlev_ou => nbp_lev, klon_glo, grid_type, unstructured
@@ -539,5 +539,5 @@
     !-------------------------------------------------------------------------------
 
-    FUNCTION get_SigTrop(ih, it) RESULT(out)
+    FUNCTION get_SigTrop(ih, it) RESULT(OUT)
 
       !-------------------------------------------------------------------------------
@@ -565,5 +565,5 @@
     !-------------------------------------------------------------------------------
 
-    FUNCTION PTrop_chem(ih, it, it0, pres, o3, o3trop) RESULT(out)
+    FUNCTION PTrop_chem(ih, it, it0, pres, o3, o3trop) RESULT(OUT)
 
       !-------------------------------------------------------------------------------
@@ -618,5 +618,5 @@
     !-------------------------------------------------------------------------------
 
-    FUNCTION check_ozone(o3col, lon, lat, ilev0, layer, vmin, vmax) RESULT(out)
+    FUNCTION check_ozone(o3col, lon, lat, ilev0, layer, vmin, vmax) RESULT(OUT)
 
       !-------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/screenc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/screenc_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/screenc_mod.F90	(revision 5117)
@@ -56,19 +56,19 @@
 ! delq----input-R- anomalie de l'humidite relative par rapport a la surface
 
-      INTEGER, intent(in) :: klon, knon, nsrf
-      LOGICAL, intent(in) :: zxli, okri 
-      REAL, dimension(klon), intent(in) :: speed, temp, q_zref
-      REAL, intent(in) :: zref
-      REAL, dimension(klon), intent(IN) :: ts
-      REAL, dimension(klon), intent(in) :: qsurf, psol
-      REAL, dimension(klon), intent(inout):: z0m, z0h
-      REAL, dimension(klon), intent(in) :: ustar, testar, qstar, ri1   
-
-      REAL, dimension(klon), intent(inout) :: s_pblh    
-      REAL, dimension(klon), intent(in) :: prain    
-      REAL, dimension(klon), intent(in) :: tsol    
+      INTEGER, INTENT(IN) :: klon, knon, nsrf
+      LOGICAL, INTENT(IN) :: zxli, okri
+      REAL, DIMENSION(klon), INTENT(IN) :: speed, temp, q_zref
+      REAL, INTENT(IN) :: zref
+      REAL, DIMENSION(klon), INTENT(IN) :: ts
+      REAL, DIMENSION(klon), INTENT(IN) :: qsurf, psol
+      REAL, DIMENSION(klon), INTENT(INOUT):: z0m, z0h
+      REAL, DIMENSION(klon), INTENT(IN) :: ustar, testar, qstar, ri1
+
+      REAL, DIMENSION(klon), INTENT(INOUT) :: s_pblh
+      REAL, DIMENSION(klon), INTENT(IN) :: prain
+      REAL, DIMENSION(klon), INTENT(IN) :: tsol
       REAL, DIMENSION(klon), INTENT(IN)    :: pat1 !pression premier lev      
 
-      REAL, dimension(klon), intent(out) :: pref, delu, delte, delq 
+      REAL, DIMENSION(klon), INTENT(OUT) :: pref, delu, delte, delq
 !-----------------------------------------------------------------------
       include "YOMCST.h"
@@ -77,5 +77,5 @@
 ! Variables locales  
       INTEGER :: i 
-      REAL, dimension(klon) :: cdram, cdrah, cdran, zri1, gref,ycdragm,zri_zero
+      REAL, DIMENSION(klon) :: cdram, cdrah, cdran, zri1, gref,ycdragm,zri_zero
 
 !------------------------------------------------------------------------- 
@@ -159,20 +159,20 @@
 ! delq----input-R- anomalie de l'humidite relative par rapport a la surface
 
-      INTEGER, intent(in) :: klon, knon, nsrf
-      LOGICAL, intent(in) :: zxli, okri 
-      REAL, dimension(klon), intent(in) :: speed, temp, q_zref
-      REAL, intent(in) :: zref
-      REAL, dimension(klon), intent(in) :: ts, qsurf, psol
-      REAL, dimension(klon), intent(inout) :: z0m, z0h
-      REAL, dimension(klon), intent(in) :: cdrm, cdrh, ri1         
-      REAL, dimension(klon), intent(inout) :: s_pblh    
-      REAL, dimension(klon), intent(in) :: prain    
-      REAL, dimension(klon), intent(in) :: tsol    
+      INTEGER, INTENT(IN) :: klon, knon, nsrf
+      LOGICAL, INTENT(IN) :: zxli, okri
+      REAL, DIMENSION(klon), INTENT(IN) :: speed, temp, q_zref
+      REAL, INTENT(IN) :: zref
+      REAL, DIMENSION(klon), INTENT(IN) :: ts, qsurf, psol
+      REAL, DIMENSION(klon), INTENT(INOUT) :: z0m, z0h
+      REAL, DIMENSION(klon), INTENT(IN) :: cdrm, cdrh, ri1
+      REAL, DIMENSION(klon), INTENT(INOUT) :: s_pblh
+      REAL, DIMENSION(klon), INTENT(IN) :: prain
+      REAL, DIMENSION(klon), INTENT(IN) :: tsol
       REAL, DIMENSION(klon), INTENT(IN) :: pat1 !pression premier lev      
       INTEGER, INTENT(IN)  :: iri1 ! Richardson de la 1ere couche
 
-      REAL, dimension(klon), intent(out) :: pref, delm, delh, zri1
-!171220     REAL, dimension(klon) :: cdram, cdrah, zri1 
-      REAL, dimension(klon) :: cdram, cdrah
+      REAL, DIMENSION(klon), INTENT(OUT) :: pref, delm, delh, zri1
+!171220     REAL, DIMENSION(klon) :: cdram, cdrah, zri1
+      REAL, DIMENSION(klon) :: cdram, cdrah
 !-----------------------------------------------------------------------
       include "YOMCST.h"
@@ -181,5 +181,5 @@
 ! Variables locales  
       INTEGER :: i 
-      REAL, dimension(klon) :: cdran, gref,ycdragm
+      REAL, DIMENSION(klon) :: cdran, gref,ycdragm
 
 !------------------------------------------------------------------------- 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/screenp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/screenp_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/screenp_mod.F90	(revision 5117)
@@ -51,12 +51,12 @@
 ! delq----input-R- anomalie de l'humidite relative par rapport a la surface
 
-      INTEGER, intent(in) :: klon, knon, nsrf
-      REAL, dimension(klon), intent(in) :: speed, tair, qair
-      REAL, dimension(klon), intent(in) :: ts, qsurf, rugos
-      DOUBLE PRECISION, dimension(klon), intent(in) :: lmon
-      REAL, dimension(klon), intent(in) :: ustar, testar, qstar
-      REAL, intent(in) :: zref
+      INTEGER, INTENT(IN) :: klon, knon, nsrf
+      REAL, DIMENSION(klon), INTENT(IN) :: speed, tair, qair
+      REAL, DIMENSION(klon), INTENT(IN) :: ts, qsurf, rugos
+      DOUBLE PRECISION, DIMENSION(klon), INTENT(IN) :: lmon
+      REAL, DIMENSION(klon), INTENT(IN) :: ustar, testar, qstar
+      REAL, INTENT(IN) :: zref
 
-      REAL, dimension(klon), intent(out) :: delu, delte, delq
+      REAL, DIMENSION(klon), INTENT(OUT) :: delu, delte, delq
 
 !-------------------------------------------------------------------------
@@ -154,11 +154,11 @@
 ! delq----input-R- anomalie de l'humidite relative par rapport a la surface
 
-      INTEGER, intent(in) :: klon, knon, nsrf
-      REAL, dimension(klon), intent(in) :: speed, tair, qair
-      REAL, dimension(klon), intent(in) :: ts, qsurf, rugos
-      REAL, dimension(klon), intent(in) :: zri1
-      REAL, intent(in) :: zref
+      INTEGER, INTENT(IN) :: klon, knon, nsrf
+      REAL, DIMENSION(klon), INTENT(IN) :: speed, tair, qair
+      REAL, DIMENSION(klon), INTENT(IN) :: ts, qsurf, rugos
+      REAL, DIMENSION(klon), INTENT(IN) :: zri1
+      REAL, INTENT(IN) :: zref
 
-      REAL, dimension(klon), intent(out) :: delu, delte, delq
+      REAL, DIMENSION(klon), INTENT(OUT) :: delu, delte, delq
 
 !-------------------------------------------------------------------------
